Package org.apache.tiles.autotag.model

# Class TemplateSuite

java.lang.Object
org.apache.tiles.autotag.model.TemplateSuite

public class TemplateSuite extends Object
It represents a suite of template classes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateSuite(String name, String documentation)`
  Constructor.
  `TemplateSuite(String name, String documentation, Iterable<? extends TemplateClass> classes)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTemplateClass(TemplateClass clazz)`
  Adds a new template class.
  `String`
  `getDocumentation()`
  Returns the documentation.
  `String`
  `getName()`
  Returns the template suite name.
  `TemplateClass`
  `getTemplateClassByName(String name)`
  Returns a template class given its name.
  `Collection<TemplateClass>`
  `getTemplateClasses()`
  Returns the template classes.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TemplateSuite

    public TemplateSuite(String name, String documentation)
    Constructor.
    Parameters:
      `name` - The name of the suite.
      `documentation` - The documentation.

  - ### TemplateSuite

    public TemplateSuite(String name, String documentation, Iterable<? extends TemplateClass> classes)
    Constructor.
    Parameters:
      `name` - The name of the suite.
      `documentation` - The documentation.
      `classes` - The template classes.

- ## Method Details

  - ### getName

    public String getName()
    Returns the template suite name.
    Returns:
      The name.

  - ### getDocumentation

    public String getDocumentation()
    Returns the documentation.
    Returns:
      The documentation.

  - ### addTemplateClass

    public void addTemplateClass(TemplateClass clazz)
    Adds a new template class.
    Parameters:
      `clazz` - The template class.

  - ### getTemplateClasses

    public Collection<TemplateClass> getTemplateClasses()
    Returns the template classes.
    Returns:
      The template classes.

  - ### getTemplateClassByName

    public TemplateClass getTemplateClassByName(String name)
    Returns a template class given its name.
    Parameters:
      `name` - The name of the class.
    Returns:
      The template class instance.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`